import java.io.IOException;
import java.net.UnknownHostException;

import injektilo.net.*;

class Pop3Check {
  public static void main(String args[])
      throws UnknownHostException, IOException {
        
    if (args.length < 3) {
      System.out.println("Usage: java Pop3Check host user pass");
      System.exit(1);
    }
        
    Pop3Connection pop3 = new Pop3Connection();
    
    pop3.open(args[0]);
    pop3.authenticate(args[1], args[2]);
    pop3.status();
    pop3.quit();
    pop3.close();

    System.out.println("you have " + pop3.getTotalMessages() + " message(s), "
      + pop3.getTotalOctets() + " octets in size.");
  }
}